=== debian/changelog ===
ros-melodic-ifopt (2.0.7-1bionic) bionic; urgency=high

  * Create function to get the time statistics and the return code from the optimization solver. (#40 <https://github.com/ethz-adrl/ifopt/issues/40>)
  * Contributors: viviansuzano

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ifopt (2.0.6-1bionic) bionic; urgency=high

  * Enable problems without constraints: Fix issue (#34 <https://github.com/ethz-adrl/ifopt/issues/34> , #35 <https://github.com/ethz-adrl/ifopt/issues/35>)
  * Fix/segfaults (#33 <https://github.com/ethz-adrl/ifopt/issues/33>)
  * Contributors: Wolfgang Merkt, viviansuzano

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 16 Jan 2019 23:00:00 -0000

ros-melodic-ifopt (2.0.5-1bionic) bionic; urgency=high

  * set default print level to 4 to show derivative test errors.
  * Improve print-out of cost terms (specifically print cost)
  * Improve docs (#27 <https://github.com/ethz-adrl/ifopt/issues/27>)
  * Implemented more efficient method for building constraint jacobian (#26 <https://github.com/ethz-adrl/ifopt/issues/26>)
  * Contributors: Alexander Winkler, fbiemueller

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-ifopt (2.0.4-1bionic) bionic; urgency=high

  * generalize ipopt solver interface, so source never has to be touched.
  * Fix/simplify image path in doxygen.
  * Simplify and generalize testing procedure (#25 <https://github.com/ethz-adrl/ifopt/issues/25>)
  * have cmake fail if IPOPT version <3.11.9
  * Install binaries to /lib/ifopt, just as catkin does.
  * Update README.md to always use make test for testing.
  * Improve doxygen (#22 <https://github.com/ethz-adrl/ifopt/issues/22>)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-ifopt (2.0.3-1bionic) bionic; urgency=high

  * Add codefactor integration and contributing guidelines
  * display indices more precisely in printout
  * remove rsl jekins, use ros build farm
  * remove warning from version number
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Mon, 09 Jul 2018 22:00:00 -0000

ros-melodic-ifopt (2.0.2-1bionic) bionic; urgency=high

  * fully remove catkin dependency
  * increase cmake project version number manually
  * DRY in cmake list (reuse ${LIB_CORE})
  * Update README.md
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 01 Jul 2018 22:00:00 -0000

ros-melodic-ifopt (2.0.1-1bionic) bionic; urgency=high

  * make IPOPT the default ON solver option
  * Add documentation and update package.xml to use ubuntu ipopt install coinor-libipopt-dev
  * Use FindIpopt.cmake (from robotology/idyntree)
  * Set default solver to mumps, as this is free one installed in ubuntu
  * Define SNOPT/IPOPT location also through environmental variable
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 29 Jun 2018 22:00:00 -0000

ros-melodic-ifopt (2.0.0-1bionic) bionic; urgency=high

  * allow building with pure cmake (catkin optional) (#13 <https://github.com/ethz-adrl/ifopt/issues/13>)
  * generate ifopt-config.cmake to easily include in other cmake projects (#13 <https://github.com/ethz-adrl/ifopt/issues/13>)
  * implement pimpl idiom to avoid exporting IPOPT/SNOPT libraries/headers (#12 <https://github.com/ethz-adrl/ifopt/issues/12>)
  * Add possibility to set solver options (e.g. "ma27") on user side
  * Clean-up and improve printouts
  * Reduce to one single catkin package with solvers as cmake subdirectories
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sat, 23 Jun 2018 22:00:00 -0000

ros-melodic-ifopt (1.0.2-1bionic) bionic; urgency=high

  * add correct catkin install folder for ifopt_core
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 04 Feb 2018 23:00:00 -0000

ros-melodic-ifopt (1.0.1-1bionic) bionic; urgency=high

  * update package xml
  * make eigen 3.2 compatible (remove header Eigen/Eigen)
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Sun, 28 Jan 2018 23:00:00 -0000

ros-melodic-ifopt (1.0.0-1bionic) bionic; urgency=high

  * move IPOPT and SNOPT interfaces to separate package
  * add ifopt metapackage for documentation
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Fri, 26 Jan 2018 23:00:00 -0000

ros-melodic-ifopt (0.0.2-1bionic) bionic; urgency=high

  * added more explanatory message in package.xml
  * added documentations badge
  * fixed bounds in example problem
  * moved CI to ros buildfarm.
  * generate tests also with catkin if installed
  * Fixed compiler warnings.
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Wed, 03 Jan 2018 23:00:00 -0000

ros-melodic-ifopt (0.0.1-1bionic) bionic; urgency=high

  * improve doxygen documentation
  * removed linear and soft constraint
  * add more unit tests
  * added logo
  * Create LICENSE
  * added first version of readme
  * remove dependency of constraints/cost on optimization variables
  * simplified user interface.
  * make project catkin independent
  * renamed repo to ifopt
  * added ipopt linear solver types url
  * opt_solve: add test infrastructure
  * add documentation to core classes
  * xpp_solve: add copyright boilerplate
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <winklera@ethz.ch>  Thu, 14 Dec 2017 23:00:00 -0000
