=== debian/control ===
Source: ros-melodic-ifopt
Section: misc
Priority: optional
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, coinor-libipopt-dev, libeigen3-dev
Homepage: https://github.com/ethz-adrl/ifopt
Standards-Version: 3.9.2

Package: ros-melodic-ifopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-libipopt-dev, libeigen3-dev, ros-melodic-catkin
Description: An Eigen- based interface to Nonlinear Programming solver Ipopt.
 Inuitive and efficient C++ implementation of variables, costs and constraints using Eigen. Easy integration in your projects in catkin or pure cmake.
